<?php

class DispletRetsIdxMobile{
	public function build_model($model){
		global $displetretsidx_model;
		$displetretsidx_model = $model;
		$displetretsidx_model['use_mobile'] = true;
		$displetretsidx_model['search_results_page_url'] = get_permalink($displetretsidx_model['options']['search_results_page_id']);
		$displetretsidx_model['mobile_home_page_url'] = home_url('rets-mobile');
		$displetretsidx_model['mobile_contact_page_url'] = home_url('rets-mobile-contact');
		$displetretsidx_model['favorites_page_url'] = admin_url('admin.php?page=displetretsidx_saved_properties');
		$displetretsidx_model['mobile_header'] = nl2br($displetretsidx_model['options']['mobile_header']);
		$displetretsidx_model['mobile_footer'] = nl2br($displetretsidx_model['options']['mobile_footer']);
		return $displetretsidx_model;
	}

	public function register_post_types(){
		$args = array(
			'public' => false,
			'publicly_queryable' => true,
			'has_archive' => true
		);
		register_post_type('rets-mobile', $args);
		register_post_type('rets-mobile-contact', $args);
	}

	public function register_menu(){
		global $displetretsidx_option;
		if (!empty($displetretsidx_option['mobile_version'])) {	
			register_nav_menus(array(
			  'displetretsidx_mobile_menu' => "Mobile Homepage Menu",
			));
		}
	}

	public function user_wants_mobile(){
		return $_COOKIE['displetretsidx_use_mobile'];
	}

	public function use_home_page_template($template){
		return DispletRetsIdxLoad::get_template_path('displet-mobile-home-page.php');
	}

	public function use_contact_page_template($template){
		return DispletRetsIdxLoad::get_template_path('displet-mobile-contact-page.php');
	}
}

add_action('init', array('DispletRetsIdxMobile', 'register_post_types'));
add_action('init', array('DispletRetsIdxMobile', 'register_menu'));

?>