<?php

class DispletRetsIdxSearchResults{
	public function build_model($model){
		global $displetretsidx_model;
		$displetretsidx_model = $model;
		$model = array(
			'previous_page_url' => '#prev',
			'next_page_url' => '#next',
		);
		$displetretsidx_model = array_merge($displetretsidx_model, $model);
		$displetretsidx_model['return_fields'] = DispletRetsIdxQuery::get_return_fields($displetretsidx_model['options']);
		// Get query from $displetretsidx_model
		$displetretsidx_model['query_url'] = DispletRetsIdxQuery::get_query_url($displetretsidx_model);
		// Get listings server-side to pass to templates for crawlable content
		$listings = DispletRetsIdxQuery::get_listings($displetretsidx_model);
		$displetretsidx_model = array_merge($displetretsidx_model, $listings);
		// Add sort options
		$displetretsidx_model['sort_options'] = DispletRetsIdxListings::get_sort_options($displetretsidx_model);
		// Detertimine if max results message is needed
		if (intval($displetretsidx_model['meta']->count) > intval($displetretsidx_model['options']['results_limit'])) {
			$displetretsidx_model['results_limit_message'] = DispletRetsIdxListings::get_max_results_message($displetretsidx_model['options']);
		}
	}

	public function replace_page_content($content) {
		global $displetretsidx_model;
		//global $wp_query;
		if (in_the_loop()) {
			$content = DispletRetsIdxLoad::get_template('displet-search-form.php', $displetretsidx_model);
			$content .= DispletRetsIdxLoad::get_template('displet-dynamic.php', $displetretsidx_model);
		}
		return $content;
	}

	public function include_jquery(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-search-results-jquery.php', $displetretsidx_model);
	}

	public function include_save_search_popup(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-save-search-popup.php', $displetretsidx_model);
	}

	public function use_mobile_template($template){
		return DispletRetsIdxLoad::get_template_path('displet-search-results-mobile.php');
	}

	public function is_search_form_widget_area_used($i){
		// Wrapper needed for legacy DPC search form customizations
		return DispletRetsIdxSearchFormWidgets::is_search_form_widget_area_used($i);
	}

	public function is_advanced_search_form_widget_area_used($i){
		// Wrapper needed for legacy DPC search form customizations
		return DispletRetsIdxSearchFormWidgets::is_advanced_search_form_widget_area_used($i);
	}

	public function is_quick_search_form_column_used($form, $column){
		// Wrapper needed for legacy DPC quick search form customizations
		return DispletRetsIdxSearchFormWidgets::is_quick_search_form_column_used($form, $column);
	}
}

?>