<?php

class DispletRetsIdxUsersApi extends DispletRetsIdxPlugin{
	public function create_user($email, $first_name, $last_name){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users';
		$query_args = array(
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				'user' => array(
					'email' => $email,
					'first_name' => $first_name,
					'last_name' => $last_name
				),
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_post($query_url, $query_args);
		if (is_array($json_array) && !empty($json_array['body'])) {
			$json_data = json_decode($json_array['body']);
			if (!empty($json_data->id)) {
				return $json_data->id;
			}
		}
		return false;
	}

	public function update_user($api_user_id, $user_array){
		if (!empty($user_array)) {
			global $displetretsidx_option;
			$query_url = parent::$api_url . '/users/' . $api_user_id;
			$query_args = array(
				'method' => 'PUT',
				'timeout' => 10,
				'headers' => array(
					'referer' => home_url()
				),
				'body' => array(
					'user' => $user_array,
					'authentication_token' => $displetretsidx_option['displet_app_key']
				)
			);
			$json_array = wp_remote_post($query_url, $query_args);
		}
	}

	public function update_user_property_views($api_user_id, $property_id){
		if (!empty($api_user_id) && !empty($property_id)) {
			global $displetretsidx_option;
			$query_url = parent::$api_url . '/users/' . $api_user_id . '/property_views';
			$query_args = array(
				'timeout' => 10,
				'headers' => array(
					'referer' => home_url()
				),
				'body' => array(
					'residential_id' => $property_id,
					'authentication_token' => $displetretsidx_option['displet_app_key']
				)
			);
			$json_array = wp_remote_post($query_url, $query_args);
		}
	}

	public function create_saved_search($user_id, $search_name, $search_criteria){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users/' . $user_id . '/saved_searches';
		$query_args = array(
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				//'saved_search' => array(
					'name' => $search_name,
					'search_criteria' => $search_criteria,
					'email_frequency' => 1,
				//),
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_post($query_url, $query_args);
		if (is_array($json_array)) {
			$json_data = json_decode($json_array['body']);
			if (!empty($json_data->id)) {
				return $json_data->id;
			}
		}
		return false;
	}

	public function delete_saved_search($user_id, $search_id){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users/' . $user_id . '/saved_searches/' . $search_id;
		$query_args = array(
			'method' => 'DELETE',
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_post($query_url, $query_args);
		if (is_array($json_array)) {
			$json_data = json_decode($json_array['body']);
			return $json_data;
		}
	}

	/*
	public function get_user($user_id){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users/' . $user_id;
		$query_args = array(
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_get($query_url, $query_args);
		if (is_array($json_array)) {
			$json_data = json_decode($json_array['body']);
			return $json_data;
		}
	}

	public function get_saved_searches($user_id){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users/' . $user_id . '/saved_searches';
		$query_args = array(
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_get($query_url, $query_args);
		if (is_array($json_array)) {
			$json_data = json_decode($json_array['body']);
			return $json_data;
		}
	}

	public function get_saved_search($user_id, $search_id){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users/' . $user_id . '/saved_searches/' . $search_id;
		$query_args = array(
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_get($query_url, $query_args);
		if (is_array($json_array)) {
			$json_data = json_decode($json_array['body']);
			return $json_data;
		}
	}
	
	public function update_saved_search($user_id, $search_id, $search_criteria){
		global $displetretsidx_option;
		$query_url = parent::$api_url . '/users/' . $user_id . '/saved_searches/' . $search_id;
		$query_args = array(
			'method' => 'PUT',
			'timeout' => 10,
			'headers' => array(
				'referer' => home_url()
			),
			'body' => array(
				//'saved_search' => array(
					'search_criteria' => $search_criteria,
				//),
				'authentication_token' => $displetretsidx_option['displet_app_key']
			)
		);
		$json_array = wp_remote_post($query_url, $query_args);
		if (is_array($json_array)) {
			$json_data = json_decode($json_array['body']);
			return $json_data;
		}
	}
	*/
}

?>